## mycompiler.mytypereconstruction.typeassumptionkey
Class CTypeAssumptionKey

    java.lang.Object
      mycompiler.mytypereconstruction.typeassumptionkey.CTypeAssumptionKey

All Implemented Interfaces:
  IHashSetKey

Direct Known Subclasses:
  CInstVarKey, CLocalVarKey, CMethodKey, CMethodParaKey

    public abstract class CTypeAssumptionKey

extends java.lang.Object
implements IHashSetKey

Diese Klasse modelliert einen eindeutigen Schlüssel für eine Typannahme, die in einem `CTypeAssumptionSet` abgelegt wird.

Version:
  $Date: 2005/06/28 19:19:05 $
Author:
  Jörg Bäuerle

Field Summary
`protected java.lang.String` `m_KeyString`

Constructor Summary
`CTypeAssumptionKey()`

Method Summary
`boolean` `equals(java.lang.Object obj)` Author: Jörg Bäuerle
`java.lang.String` `getKeyString()` Author: Jörg Bäuerle
`int` `hashCode()` Author: Jörg Bäuerle
`java.lang.String` `toString()` Author: Jörg Bäuerle

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### m_KeyString

    protected java.lang.String m_KeyString

Constructor Detail

### CTypeAssumptionKey

    public CTypeAssumptionKey()

Method Detail

### getKeyString

    public java.lang.String getKeyString()

  Author: Jörg Bäuerle

  Returns:
    Returns the KeyString.

### equals

    public boolean equals(java.lang.Object obj)

  Author: Jörg Bäuerle

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` -
  Returns:

### hashCode

    public int hashCode()

  Author: Jörg Bäuerle

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:

### toString

    public java.lang.String toString()

  Author: Jörg Bäuerle

  Overrides:
    `toString` in class `java.lang.Object`
  Returns: